aboutsummaryrefslogtreecommitdiffstats
path: root/debian/bitlbee-common.postrm
diff options
context:
space:
mode:
authorWilmer van der Gaast <wilmer@gaast.net>2010-08-18 00:34:25 +0100
committerWilmer van der Gaast <wilmer@gaast.net>2010-08-18 00:34:25 +0100
commit5b94e9ecc30e9f3b96c083e41235e4df2d0d75c9 (patch)
tree670fc8cc4db761308160fe6e9de6d27a7f0f65f9 /debian/bitlbee-common.postrm
parentd20ea9f92f70fa9732baf4520582abfc45124548 (diff)
Move scripts, debconf and /etc stuff to bitlbee-common and really have
*just* the binary in bitlbee{,-libpurple}. This should fix issues with installing the package on a clean machine.
Diffstat (limited to 'debian/bitlbee-common.postrm')
-rw-r--r--debian/bitlbee-common.postrm14
1 files changed, 14 insertions, 0 deletions
diff --git a/debian/bitlbee-common.postrm b/debian/bitlbee-common.postrm
new file mode 100644
index 00000000..5c3b4b2e
--- /dev/null
+++ b/debian/bitlbee-common.postrm
@@ -0,0 +1,14 @@
+#!/bin/sh -e
+
+[ "$1" = "purge" ] || exit 0
+
+if [ -e /usr/share/debconf/confmodule ]; then
+ . /usr/share/debconf/confmodule;
+ db_purge;
+fi
+
+update-rc.d bitlbee remove > /dev/null 2>&1 || true
+rm -f /etc/default/bitlbee
+
+deluser --system --remove-home bitlbee || true
+rm -rf /var/lib/bitlbee ## deluser doesn't seem to do this for homedirs in /var